BasePluginFilter (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins
[Java] Class BasePluginFilter

    java.lang.Object
      org.codehaus.groovy.grails.plugins.BasePluginFilter

All Implemented Interfaces:
  PluginFilter

    public abstract class BasePluginFilter
    extends java.lang.Object

Base functionality shared by `IncludingPluginFilter` and `ExcludingPluginFilter`.

Authors:
  Phil Zoio

Field Summary
`protected java.util.Map` | `nameMap` Holds a name to GrailsPlugin map (String, Plugin).

Constructor Summary
`BasePluginFilter(java.util.Set suppliedNames)`
`BasePluginFilter(java.lang.String[] included)`

Method Summary
`protected void` | `addPluginDependencies(java.util.List additionalList, GrailsPlugin plugin)` Defines operation for adding dependencies for a plugin to the list
`java.util.List` | `filterPluginList(java.util.List original)` Template method shared by subclasses of `BasePluginFilter`.
`protected java.util.Collection` | `getAllPlugins()`
`protected GrailsPlugin` | `getNamedPlugin(java.lang.String name)`
`protected java.util.List` | `getPluginList(java.util.List original, java.util.List pluginList)` Defines an operation getting the final list to return from the original and derived lists
`protected java.util.Set` | `getSuppliedNames()`
`protected boolean` | `isDependentOn(GrailsPlugin plugin, java.lang.String pluginName)` Checks whether a plugin is dependent on another plugin with the specified name
`protected void` | `registerDependency(java.util.List additionalList, GrailsPlugin plugin)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### nameMap

    protected java.util.Map nameMap

  Holds a name to GrailsPlugin map (String, Plugin).

Constructor Detail

### BasePluginFilter

    public BasePluginFilter(java.util.Set suppliedNames)

### BasePluginFilter

    public BasePluginFilter(java.lang.String[] included)

Method Detail

### addPluginDependencies

    @java.lang.SuppressWarnings("rawtypes")
    protected void addPluginDependencies(java.util.List additionalList, GrailsPlugin plugin)

  Defines operation for adding dependencies for a plugin to the list

### filterPluginList

    public java.util.List filterPluginList(java.util.List original)

  Template method shared by subclasses of `BasePluginFilter`.

### getAllPlugins

    @java.lang.SuppressWarnings
    protected java.util.Collection getAllPlugins()

### getNamedPlugin

    protected GrailsPlugin getNamedPlugin(java.lang.String name)

### getPluginList

    @java.lang.SuppressWarnings("rawtypes")
    protected java.util.List getPluginList(java.util.List original, java.util.List pluginList)

  Defines an operation getting the final list to return from the original and derived lists

### getSuppliedNames

    protected java.util.Set getSuppliedNames()

### isDependentOn

    protected boolean isDependentOn(GrailsPlugin plugin, java.lang.String pluginName)

  Checks whether a plugin is dependent on another plugin with the specified name
  Parameters:
    `plugin` - the plugin to compare
    `pluginName` - the name to compare against
  Returns:
    true if `plugin` depends on `pluginName`

### registerDependency

    @java.lang.SuppressWarnings
    protected void registerDependency(java.util.List additionalList, GrailsPlugin plugin)

Groovy Documentation